Subject: Re: [bug#28425] [PATCH 1/2] gnu: sqlite: Update to 3.20.1.

From: Catonano <[email-masked]>
Date: Tue, 12 Sep 2017 23:00:22 +0200

2017-09-12 15:24 GMT+02:00 Jelle Licht <[email-masked]>:

>
> Catonano <[email-masked]> writes:
>
> > 2017-09-12 0:17 GMT+02:00 Jelle Licht <[email-masked]>:
> >
> >> * gnu/packages/databases.scm (sqlite): Update to 3.20.1.
> >> ---
> >>  gnu/packages/databases.scm | 4 ++--
> >>  1 file changed, 2 insertions(+), 2 deletions(-)
> >>
> >> diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
> >> index ba365523d..37890a91f 100644
> >> --- a/gnu/packages/databases.scm
> >> +++ b/gnu/packages/databases.scm
> >> @@ -754,7 +754,7 @@ for example from a shell script.")
> >>  (define-public sqlite
> >>    (package
> >>     (name "sqlite")
> >> -   (version "3.19.3")
> >> +   (version "3.20.1")
> >>     (source (origin
> >>              (method url-fetch)
> >>              (uri (let ((numeric-version
> >> @@ -770,7 +770,7 @@ for example from a shell script.")
> >>                                    numeric-version ".tar.gz")))
> >>              (sha256
> >>               (base32
> >> -              "00b3l2qglpl1inx21fckiwxnfq5xf6
> 441flc79rqg7zdvh1rq4h6"))))
> >> +              "0hh7jnxfwvs2qlvmjwrgkvxb8sk4x8
> hj04m54fq9h1xw55dmjrpc"))))
> >>     (build-system gnu-build-system)
> >>     (inputs `(("readline" ,readline)))
> >>     (arguments
> >> --
> >> 2.14.1
> >>
> >>
> >>
> >>
> >>
> >
> > It just built successfully.
> >
> > Are there any more checsks/tests I should perform in order to properly
> > review this ?
>
> If you have the time, you could try building and using something which
> depends on sqlite. I have verified python-apsw (my other patch) to work
> properly already, but there are lots of dependents of sqlite which might
> inadvertently break because of my patch.
>

Jelle, I tried but core-updates is too much !

It was bootstrapping Guile 2.2.2 when I stopped it. And that can be a long
process, if I remember correctly

When I first reported to have built it successfully, I had branched from
master and git am'ed your patch there. So many things were available already

This second time I tried with the real core-updates branch

I'm afraid you'll need to set up your own Cuirass instance :-/